Subject: bug#76744: closed (Re: bug#76744: [PATCH] etags test doesn't pass)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 10 Mar 2025 21:11:02 +0000

Your bug report

#76744: [PATCH] etags test doesn't pass

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
76744: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=76744
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#76744: [PATCH] etags test doesn't pass
From: Stefan Kangas <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked], Paul Eggert <[email-masked]>
Date: Mon, 10 Mar 2025 14:10:17 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> Cc: Vladimir Gorsunov <[email-masked]>, [email-masked]
>> Date: Tue, 4 Mar 2025 13:48:51 -0800
>> From: Paul Eggert <[email-masked]>
>>
>> On 3/4/25 11:22, Stefan Kangas wrote:
>> >> * build-aux/update-copyright: Added check to not change test data
>> > This script is maintained in Gnulib, so I'm not sure where to put this,
>> > as it's only relevant to Emacs.
>>
>> Yes, changes like this should be put into admin/update-copyright, not
>> build-aux/update-copyright.
>>
>> However, this kind of change is heading in the wrong direction, as the
>> test files in question mutate from time to time, e.g., commit
>> d0be0965ca344caab7879b2ac2373a68025c9ba2. Instead, either the tests
>> should be redone to be robust in the presence of line number changes, or
>> (probably easier) admin/update-copyright should be taught not to change
>> the number of lines when it updates a copyright date.
>
> For now, I simply updated the expected-results files in
> test/manual/etags/.  This is what we've been doing this since these
> tests were added.  If someone wants to modify the update-copyright
> scripts to skip those files, feel free, but TBH I'm not sure we are
> allowed not to update the copyright of test files.

I'd tend to agree.  I'm therefore closing this bug report.

Thanks Vladimir for the patches, nevertheless.

Subject: [PATCH] etags test doesn't pass
From: Vladimir Gorsunov <[email-masked]>
To: [email-masked]
Date: Tue, 4 Mar 2025 18:54:08 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

  Test for etags fails since commit 4da38c63 when update-copyrights script
inserted new lines into some of the test files. Including a patch that
reverts added lines and adds a check to the script

-- 
Mit Respekt, Vladimir Gorsunov